libcamera v0.6.0 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
request.h File Reference

Describes a frame capture request to be processed by a camera. More...

`#include <map>`
`#include <memory>`
`#include <ostream>`
`#include <stdint.h>`
`#include <string>`
`#include <libcamera/base/class.h>`
`#include <libcamera/base/signal.h>`
`#include <libcamera/controls.h>`
`#include <libcamera/fence.h>`
Include dependency graph for request.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | libcamera::Request
| A frame capture request. More...

## Namespaces
namespace | libcamera
| Top-level libcamera namespace.

## Functions
std::ostream & | libcamera::operator<< (std::ostream &out, const Request &r)
| Insert a text representation of a Request into an output stream.

## Detailed Description

Describes a frame capture request to be processed by a camera.